<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('settings', function (Blueprint $row) {
            $row->string('contact_section_title')->nullable()->default('نحن هنا لمساعدتك');
            $row->text('contact_section_subtitle')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('settings', function (Blueprint $row) {
            $row->dropColumn(['contact_section_title', 'contact_section_subtitle']);
        });
    }
};
